Bug 1412949 - systemd packaging guidelines violation
Summary: systemd packaging guidelines violation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: udisks2
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vojtech Trefny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 08:46 UTC by Igor Gnatenko
Modified: 2017-07-23 09:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-23 09:36:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Igor Gnatenko 2017-01-13 08:46:41 UTC
https://fedoraproject.org/wiki/Packaging:Systemd#Packaging

1. Add BuildRequries: systemd (yes, systemd-devel doesn't require systemd)
2. add proper scriptlets (see https://fedoraproject.org/wiki/Packaging:Scriptlets?rd=Packaging:ScriptletSnippets#Scriptlets)

And some minor issues:

* %{_prefix}/lib/systemd/system/udisks2.service
should be %{_unitdir}/udisks2.service

Comment 1 Fedora End Of Life 2017-02-28 10:57:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Vratislav Podzimek 2017-05-18 11:30:47 UTC
This now applies to udisks2 (the storaged has become upstream of).

https://github.com/storaged-project/udisks/pull/265


Note You need to log in before you can comment on or make changes to this bug.